From 797a8ef5b7a5d3ab513a4eef68755a939dc570be Mon Sep 17 00:00:00 2001
From: Stephan Hartmann <stha09@googlemail.com>
Date: Tue, 7 Apr 2020 10:02:27 +0000
Subject: [PATCH] GCC: fix includes for gcc-10

---
 base/trace_event/trace_event_memory_overhead.h                  | 1 +
 chrome/browser/search/background/ntp_backgrounds.h              | 1 +
 media/cdm/supported_cdm_versions.h                              | 1 +
 third_party/angle/include/platform/Platform.h                   | 1 +
 third_party/perfetto/include/perfetto/base/task_runner.h        | 1 +
 third_party/webrtc/call/rtx_receive_stream.h                    | 1 +
 .../webrtc/modules/audio_processing/aec3/clockdrift_detector.h  | 1 +
 ui/gfx/linux/drm_util_linux.h                                   | 2 ++
 8 files changed, 9 insertions(+)

diff --git a/base/trace_event/trace_event_memory_overhead.h b/base/trace_event/trace_event_memory_overhead.h
index 69468d4..3f5b786 100644
--- a/base/trace_event/trace_event_memory_overhead.h
+++ b/base/trace_event/trace_event_memory_overhead.h
@@ -9,6 +9,7 @@
 #include <stdint.h>
 
 #include <unordered_map>
+#include <string>
 
 #include "base/base_export.h"
 #include "base/macros.h"
diff --git a/chrome/browser/search/background/ntp_backgrounds.h b/chrome/browser/search/background/ntp_backgrounds.h
index 7afc0a2..6d0957e 100644
--- a/chrome/browser/search/background/ntp_backgrounds.h
+++ b/chrome/browser/search/background/ntp_backgrounds.h
@@ -6,6 +6,7 @@
 #define CHROME_BROWSER_SEARCH_BACKGROUND_NTP_BACKGROUNDS_H_
 
 #include <array>
+#include <cstddef>
 
 class GURL;
 
diff --git a/media/cdm/supported_cdm_versions.h b/media/cdm/supported_cdm_versions.h
index dbe59ba..5216cfe 100644
--- a/media/cdm/supported_cdm_versions.h
+++ b/media/cdm/supported_cdm_versions.h
@@ -6,6 +6,7 @@
 #define MEDIA_CDM_SUPPORTED_CDM_VERSIONS_H_
 
 #include <array>
+#include <cstddef>
 
 #include "media/base/media_export.h"
 #include "media/cdm/api/content_decryption_module.h"
diff --git a/third_party/angle/include/platform/Platform.h b/third_party/angle/include/platform/Platform.h
index 09505a3..8833fa0 100644
--- a/third_party/angle/include/platform/Platform.h
+++ b/third_party/angle/include/platform/Platform.h
@@ -11,6 +11,7 @@
 
 #include <stdint.h>
 #include <array>
+#include <cstddef>
 
 #define EGL_PLATFORM_ANGLE_PLATFORM_METHODS_ANGLEX 0x3482
 
diff --git a/third_party/perfetto/include/perfetto/base/task_runner.h b/third_party/perfetto/include/perfetto/base/task_runner.h
index cf60401..02658e7 100644
--- a/third_party/perfetto/include/perfetto/base/task_runner.h
+++ b/third_party/perfetto/include/perfetto/base/task_runner.h
@@ -18,6 +18,7 @@
 #define INCLUDE_PERFETTO_BASE_TASK_RUNNER_H_
 
 #include <functional>
+#include <cstdint>
 
 #include "perfetto/base/export.h"
 
diff --git a/third_party/webrtc/call/rtx_receive_stream.h b/third_party/webrtc/call/rtx_receive_stream.h
index 8ffa440..113a816 100644
--- a/third_party/webrtc/call/rtx_receive_stream.h
+++ b/third_party/webrtc/call/rtx_receive_stream.h
@@ -12,6 +12,7 @@
 #define CALL_RTX_RECEIVE_STREAM_H_
 
 #include <map>
+#include <cstdint>
 
 #include "call/rtp_packet_sink_interface.h"
 
diff --git a/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h b/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h
index 22528c9..69e624e 100644
--- a/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h
+++ b/third_party/webrtc/modules/audio_processing/aec3/clockdrift_detector.h
@@ -12,6 +12,7 @@
 #define MODULES_AUDIO_PROCESSING_AEC3_CLOCKDRIFT_DETECTOR_H_
 
 #include <array>
+#include <cstddef>
 
 namespace webrtc {
 
diff --git a/ui/gfx/linux/drm_util_linux.h b/ui/gfx/linux/drm_util_linux.h
index 86ff2eb..990f12c 100644
--- a/ui/gfx/linux/drm_util_linux.h
+++ b/ui/gfx/linux/drm_util_linux.h
@@ -7,6 +7,8 @@
 
 #include "ui/gfx/buffer_types.h"
 
+#include <cstdint>
+
 namespace ui {
 
 int GetFourCCFormatFromBufferFormat(gfx::BufferFormat format);
-- 
2.24.1

